Bug 1963901 - RHEL9 - ppc64le: glibc fails to check IS_ERR_VALUE when using scv
Summary: RHEL9 - ppc64le: glibc fails to check IS_ERR_VALUE when using scv
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: glibc
Version: 9.0
Hardware: ppc64le
OS: Linux
unspecified
high
Target Milestone: beta
: 9.0 Beta
Assignee: glibc team
QA Contact: Sergey Kolosov
URL:
Whiteboard:
Depends On: 1962971
Blocks: 1875375
TreeView+ depends on / blocked
 
Reported: 2021-05-24 11:10 UTC by IBM Bug Proxy
Modified: 2021-12-07 21:45 UTC (History)
8 users (show)

Fixed In Version: glibc-2.33-14.el9
Doc Type: No Doc Update
Doc Text:
If this bug requires documentation, please select an appropriate Doc Type value.
Clone Of:
Environment:
Last Closed: 2021-12-07 21:42:00 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 192877 0 None None None 2021-05-24 11:10:42 UTC
Sourceware 27892 0 P2 NEW powerpc: scv ABI error handling fails to check IS_ERR_VALUE 2021-05-24 11:21:43 UTC

Description IBM Bug Proxy 2021-05-24 11:10:27 UTC

Comment 1 IBM Bug Proxy 2021-05-24 11:10:35 UTC
== Comment: #0 - Tulio Magno Quites Machado Filho <tulioqm.com> - 2021-05-21 16:11:35 ==
---Problem Description---
glibc fails to check IS_ERR_VALUE when using scv.

This bug has been reported upstream as: https://sourceware.org/bugzilla/show_bug.cgi?id=27892

It has also been reported for Fedora 35: https://bugzilla.redhat.com/show_bug.cgi?id=1962971
 
Contact Information = Tulio Magno Quites Machado Filho/tulioqm.com 
 
---Additional Hardware Info---
A POWER9 or POWER10 server with support for scv is required to reproduce the error.


---Steps to Reproduce---
 1. Build strace and its tests.
 2. Run test tests/signal
 
Userspace rpm: glibc 
 
The userspace tool has the following bit modes: 64-bit

Comment 6 Florian Weimer 2021-05-25 17:37:12 UTC
Merge request: https://gitlab.com/redhat/centos-stream/rpms/glibc/-/merge_requests/11

Comment 7 IBM Bug Proxy 2021-05-25 17:47:07 UTC
------- Comment From tulioqm.com 2021-05-24 10:12 EDT-------
> May we make this bug report public? Thanks.

Yes, but I don't know how to do this.
Could you help me, please?


Note You need to log in before you can comment on or make changes to this bug.